import Api from '../axios'

const prefix = '/kpim/kpim/topic'

export default {
  /* 删除主题 */
  delete (obj) {
    return Api.deleteById(prefix + '/deleteByTopicCode', obj)
  },
  /* 查询主题详情 */
  getById (obj) {
    return Api.get(prefix + '/getById', obj)
  },
  getByTopicCode (obj) {
    return Api.getById(prefix + '/getByTopicCode', obj)
  },
  /* 查询主题的直接下级主题 */
  listSubTopics (obj) {
    return Api.get(prefix + '/listSubTopics', obj)
  },
  /* 查询主题列表（分页） */
  listTopics (obj) {
    return Api.get(prefix + '/listTopics', obj)
  },
  /* 创建主题 */
  save (obj) {
    return Api.post(prefix + '/save', obj)
  },
  /* 查询主题树 */
  topicTree (obj) {
    return Api.get(prefix + '/topicTree', obj)
  },
  /* 查询主题树Ztree */
  topicTtree (obj) {
    return Api.get(prefix + '/topicForZtree', obj)
  },
  /* 修改主题 */
  update (obj) {
    return Api.put(prefix + '/update', obj)
  }
}
